import MapContainer from "@/components/map/MapComponent";
import MapUtl from "@/components/map/mapUtil";
import { Button, message, Modal } from "antd";
import { inject, observer } from "mobx-react";
import { useState } from "react";

const Move = (props) => {
  const { usrStore, id } = props;
  const [isOpen, setOpen] = useState<boolean>(false);
  return (
    <>
      <Button
        type="dashed"
        size="small"
        onClick={() => {
          setOpen(true);
        }}
      >
        查看轨迹信息
      </Button>
      <Modal
        title={"轨迹回放"}
        width={"80%"}
        open={isOpen}
        centered
        okText="确定"
        cancelText="取消"
        footer={null}
        destroyOnClose={true}
        onCancel={() => {
          setOpen(false);
        }}
      >
        <div>
          <Button
            type="dashed"
            size="small"
            onClick={() => {
              usrStore.getSite(id).then((res) => {
                let data: any = [];
                if (res.data && res.data.record) {
                  res.data.record.forEach((element) => {
                    data.push([element.long, element.lat]);
                  });
                  if (data.length === 0) {
                    message.info("暂无轨迹数据");
                    return;
                  }
                  if (data.length > 0) {
                    MapUtl.polyline(data);
                  }
                }
              });
            }}
          >
            查看轨迹信息
          </Button>
          <div style={{ height: "10px" }}></div>
          <MapContainer />
        </div>
      </Modal>
    </>
  );
};

// getSite
export default inject("usrStore")(observer(Move));
